Package org.pushingpixels.substance.api

# Enum Class SubstanceConstants.Side

java.lang.Object
java.lang.Enum<SubstanceConstants.Side>
org.pushingpixels.substance.api.SubstanceConstants.Side

All Implemented Interfaces:
  `Serializable`, `Comparable<SubstanceConstants.Side>`, `Constable`

Enclosing class:
  `SubstanceConstants`

public static enum SubstanceConstants.Side extends Enum<SubstanceConstants.Side>
Enumerates available sides.

See Also:
  - `SubstanceLookAndFeel.BUTTON_OPEN_SIDE_PROPERTY`
  - `SubstanceLookAndFeel.BUTTON_SIDE_PROPERTY`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BOTTOM`
Bottom side.
`LEFT`
Left side.
`RIGHT`
Right side.
`TOP`
Top side.

## Method Summary

Modifier and Type
Method
Description
`static SubstanceConstants.Side`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SubstanceConstants.Side[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### LEFT

public static final SubstanceConstants.Side LEFT
Left side.

### RIGHT

public static final SubstanceConstants.Side RIGHT
Right side.

### TOP

public static final SubstanceConstants.Side TOP
Top side.

### BOTTOM

public static final SubstanceConstants.Side BOTTOM
Bottom side.

## Method Details

### values

public static SubstanceConstants.Side[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SubstanceConstants.Side valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null